package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value = "com-domain-ChildrenDayReserve")
public class ChildrenDayReserve extends BaseEntity {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 合作单位id
     */
    @ApiModelProperty(value = "合作单位id")
    private Integer cooperationOrganId;

    /**
     * 乐团id
     */
    @ApiModelProperty(value = "乐团id")
    private String musicGroupId;

    /**
     * 是否预约 0-否 1-是
     */
    @ApiModelProperty(value = "是否预约 0-否 1-是")
    private YesOrNoEnum isReserve;

    /**
     * 是否已发短信 0-否 1-是
     */
    @ApiModelProperty(value = "是否已发短信 0-否 1-是")
    private YesOrNoEnum isSendMsg = YesOrNoEnum.NO;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "当前的缴费状态 0-正常 1-缴费中")
    private Integer payStatus = 0;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public YesOrNoEnum getIsReserve() {
        return isReserve;
    }

    public void setIsReserve(YesOrNoEnum isReserve) {
        this.isReserve = isReserve;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public YesOrNoEnum getIsSendMsg() {
        return isSendMsg;
    }

    public void setIsSendMsg(YesOrNoEnum isSendMsg) {
        this.isSendMsg = isSendMsg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", organId=").append(organId);
        sb.append(", cooperationOrganId=").append(cooperationOrganId);
        sb.append(", musicGroupId=").append(musicGroupId);
        sb.append(", isReserve=").append(isReserve);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}
